org.codehaus.groovy.reflection

## Class GeneratedMetaMethod.Proxy

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.reflection.GeneratedMetaMethod
      - - org.codehaus.groovy.reflection.GeneratedMetaMethod.Proxy

All Implemented Interfaces:
  Cloneable

Enclosing class:
  GeneratedMetaMethod

    public static class GeneratedMetaMethod.Proxy
    extends GeneratedMetaMethod

### Nested Class Summary

### Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.GeneratedMetaMethod

`GeneratedMetaMethod.DgmMethodRecord, GeneratedMetaMethod.Proxy`

### Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`GeneratedMetaMethod.Proxy(String className, String name, CachedClass declaringClass, Class returnType, Class[] parameters)`

### Method Summary

Methods
`Object` `doMethodInvoke(Object object, Object[] argumentArray)`
`Object` `invoke(Object object, Object[] arguments)`
`boolean` `isValidMethod(Class[] arguments)`
`MetaMethod` `proxy()`

### Methods inherited from class org.codehaus.groovy.reflection.GeneratedMetaMethod

`getDeclaringClass, getModifiers, getName, getReturnType`

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GeneratedMetaMethod.Proxy

    public GeneratedMetaMethod.Proxy(String className,
                             String name,
                             CachedClass declaringClass,
                             Class returnType,
                             Class[] parameters)

### Method Detail

#### isValidMethod

    public boolean isValidMethod(Class[] arguments)

Overrides:
  `isValidMethod` in class `ParameterTypes`

#### doMethodInvoke

    public Object doMethodInvoke(Object object,
                        Object[] argumentArray)

Overrides:
  `doMethodInvoke` in class `MetaMethod`

#### invoke

    public Object invoke(Object object,
                Object[] arguments)

Specified by:
  `invoke` in class `MetaMethod`

#### proxy

    public final MetaMethod proxy()